org.eclipse.eef.core.api.utils

## Class EvalFactory

- java.lang.Object
- - org.eclipse.eef.core.api.utils.EvalFactory

    public final class EvalFactory
    extends java.lang.Object

Utility class used to create the `EvalFactory.Eval`.

### Nested Class Summary

Nested Classes
`static class` `EvalFactory.Eval<TYPE>` This class will be used to evaluate the expression.

### Method Summary

All Methods Static Methods Concrete Methods
`static EvalFactory.Eval<java.lang.Object>` `of(org.eclipse.sirius.common.interpreter.api.IInterpreter interpreter, org.eclipse.sirius.common.interpreter.api.IVariableManager variableManager)` Creates a new `EvalFactory.Eval` with the given interpreter and variable manager.
`static EvalFactory.Eval<java.lang.Object>` `of(org.eclipse.sirius.common.interpreter.api.IInterpreter interpreter, java.util.Map<java.lang.String,java.lang.Object> variables)` Creates a new `EvalFactory.Eval` with the given interpreter and variables.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Method Detail

#### of

    public static EvalFactory.Eval<java.lang.Object> of(org.eclipse.sirius.common.interpreter.api.IInterpreter interpreter,
                                                        java.util.Map<java.lang.String,java.lang.Object> variables)

Creates a new `EvalFactory.Eval` with the given interpreter and variables.

Parameters:
  `interpreter` - The interpreter
  `variables` - The variables
Returns:
  The new `EvalFactory.Eval` builder

#### of

    public static EvalFactory.Eval<java.lang.Object> of(org.eclipse.sirius.common.interpreter.api.IInterpreter interpreter,
                                                        org.eclipse.sirius.common.interpreter.api.IVariableManager variableManager)

Creates a new `EvalFactory.Eval` with the given interpreter and variable manager.

Parameters:
  `interpreter` - The interpreter
  `variableManager` - The variable manager
Returns:
  The new `EvalFactory.Eval`